## Class Swift_Plugins_PopBeforeSmtpPlugin

(line 22)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/PopBeforeSmtpPlugin.php

##### Makes sure a connection to a POP3 host has been established prior to connecting to SMTP.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
static Swift_Plugins_PopBeforeSmtpPlugin newInstance (string $host, [int $port = 110], [ $crypto = null], string $cypto)
Swift_Plugins_PopBeforeSmtpPlugin __construct (string $host, [int $port = 110], [ $crypto = null], string $cypto)
void beforeTransportStarted (Swift_Events_TransportChangeEvent $evt)
void beforeTransportStopped (Swift_Events_TransportChangeEvent $evt)
void bindSmtp (Swift_Transport $smtp)
void connect ()
void disconnect ()
void setConnection (Swift_Plugins_Pop_Pop3Connection $connection)
void setPassword (string $password)
void setTimeout (int $timeout)
void setUsername (string $username)
void transportStarted (Swift_Events_TransportChangeEvent $evt)
void transportStopped (Swift_Events_TransportChangeEvent $evt)

#### Static Method newInstance (line 76)

#### Swift_Plugins_PopBeforeSmtpPlugin newInstance( string $host, [int $port = 110], [ $crypto = null], string $cypto)

##### Create a new PopBeforeSmtpPlugin for $host and $port.

#### Parameters

- string $host:
- int $port:
- string $cypto: as "tls" or "ssl"
- $crypto:

#### Info

- access - public

#### Constructor __construct (line 60)

#### Swift_Plugins_PopBeforeSmtpPlugin __construct( string $host, [int $port = 110], [ $crypto = null], string $cypto)

##### Create a new PopBeforeSmtpPlugin for $host and $port.

#### Parameters

- string $host:
- int $port:
- string $cypto: as "tls" or "ssl"
- $crypto:

#### Info

- access - public

#### Method beforeTransportStarted (line 204)

#### void beforeTransportStarted( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::beforeTransportStarted()
  Invoked just before a Transport is started.

##### Invoked just before a Transport is started.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method beforeTransportStopped (line 228)

#### void beforeTransportStopped( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::beforeTransportStopped()
  Invoked just before a Transport is stopped.

##### Not used.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method bindSmtp (line 97)

#### void bindSmtp( Swift_Transport $smtp)

##### Bind this plugin to a specific SMTP transport instance.

#### Parameters

- Swift_Transport $smtp:

#### Info

- access - public

#### Method connect (line 140)

#### void connect( )

Implementation of:

Swift_Plugins_Pop_Pop3Connection::connect()
  Connect to the POP3 host and throw an Exception if it fails.

##### Connect to the POP3 host and authenticate.

#### Info

- throws - Swift_Plugins_Pop_Pop3Exception if connection fails
- access - public

#### Method disconnect (line 180)

#### void disconnect( )

Implementation of:

Swift_Plugins_Pop_Pop3Connection::disconnect()
  Disconnect from the POP3 host and throw an Exception if it fails.

##### Disconnect from the POP3 host.

#### Info

- access - public

#### Method setConnection (line 86)

#### void setConnection( Swift_Plugins_Pop_Pop3Connection $connection)

##### Set a Pop3Connection to delegate to instead of connecting directly.

#### Parameters

- Swift_Plugins_Pop_Pop3Connection $connection:

#### Info

- access - public

#### Method setPassword (line 129)

#### void setPassword( string $password)

##### Set the password to use when connecting (if needed).

#### Parameters

- string $password:

#### Info

- access - public

#### Method setTimeout (line 107)

#### void setTimeout( int $timeout)

##### Set the connection timeout in seconds (default 10).

#### Parameters

- int $timeout:

#### Info

- access - public

#### Method setUsername (line 118)

#### void setUsername( string $username)

##### Set the username to use when connecting (if needed).

#### Parameters

- string $username:

#### Info

- access - public

#### Method transportStarted (line 221)

#### void transportStarted( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::transportStarted()
  Invoked immediately after the Transport is started.

##### Not used.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method transportStopped (line 235)

#### void transportStopped( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::transportStopped()
  Invoked immediately after the Transport is stopped.

##### Not used.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:27 +0000 by phpDocumentor 1.4.3